Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-74928

Detect inconsistent supported and incompatible in version.php

    XMLWordPrintable

Details

    • Improvement
    • Resolution: Deferred
    • Minor
    • None
    • Future Dev
    • Installation
    • None

    Description

      Found while testing MDL-72324

      If you have a version.php file with:

      $plugin->supported = [31,37];
      $plugin->incompatible = 35;

      Then core and / or the moodle ci plugin should complain that this doesn't make sense

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              brendanheywood Brendan Heywood
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Clockify

                  Error rendering 'clockify-timesheets-time-tracking-reports:timer-sidebar'. Please contact your Jira administrators.